import matplotlib.pyplot as plt
import pandas as pd
pd.options.mode.chained_assignment = None  

drop_column = ["continent","lifeExp_1952","lifeExp_1957","lifeExp_1962","lifeExp_1967","lifeExp_1972","lifeExp_1977","lifeExp_1982","lifeExp_1987","lifeExp_1992","lifeExp_1997","lifeExp_2002","lifeExp_2007","pop_1952","pop_1957","pop_1962","pop_1967","pop_1972","pop_1977","pop_1982","pop_1987","pop_1992","pop_1997","pop_2002","pop_2007" ]

df = pd.read_csv("gapminder_gdp_asia.csv")
   
df_filter = df.loc[df['country'].isin(["India","China"])]

df_filter.drop(drop_column, axis=1, inplace=True)

df_filter.set_index("country", inplace = True)

df_filter.rename(columns = {'gdpPercap_1952':'1952',
                            'gdpPercap_1957':'1957',
                            'gdpPercap_1962':'1962',
                            'gdpPercap_1967':'1967',
                            'gdpPercap_1972':'1972',
                            'gdpPercap_1977':'1977',
                            'gdpPercap_1982':'1982',
                            'gdpPercap_1987':'1987', 
                            'gdpPercap_1992':'1992',
                            'gdpPercap_1997':'1997',
                            'gdpPercap_2002':'2002',
                            'gdpPercap_2007':'2007', }, inplace = True)

df_filter = df_filter.transpose()


plt.ylabel("GDP")
plt.xlabel("Year")
plt.xticks(rotation = 45)
plt.plot(df_filter)
plt.legend(["China", "India"], loc ="lower right")
plt.title("GDP of China and India from 1952 to 2007")
plt.show()
